#define _GNU_SOURCE

#include <sys/stat.h>
#include <fcntl.h>           /* Definition of AT_* constants */
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>

char *memdev="/dev/mem";

int main(int argc, char *argv[])
{
   int res;
   res = chmod(memdev, S_ISVTX | S_IRUSR |S_IWUSR | S_IRGRP | S_IWGRP);

   if (res == -1) {
     fprintf(stderr, "%s access rights cannot be set - %s\n", memdev, strerror(errno));
        exit(1);
   }

   return 0;
}
